digiKam Developer Documentation: Digikam::DKCamera Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::DKCamera Class Referenceabstract
Inheritance diagram for Digikam::DKCamera:

## Public Types
enum | CameraDriverType { GPhotoDriver = 0 , UMSDriver }

## Signals
void | signalFolderList (const QStringList &)

## Public Member Functions
| DKCamera (const QString &title, const QString &model, const QString &port, const QString &path)
virtual bool | cameraAbout (QString &about)=0
virtual DKCamera::CameraDriverType | cameraDriverType ()=0
virtual bool | cameraManual (QString &manual)=0
virtual QByteArray | cameraMD5ID ()=0
virtual bool | cameraSummary (QString &summary)=0
virtual void | cancel ()=0
virtual bool | capture (CamItemInfo &itemInfo)=0
bool | captureImagePreviewSupport () const
bool | captureImageSupport () const
bool | delDirSupport () const
virtual bool | deleteItem (const QString &folder, const QString &itemName)=0
bool | deleteSupport () const
virtual bool | doConnect ()=0
virtual bool | downloadItem (const QString &folder, const QString &itemName, const QString &saveFile)=0
virtual bool | getFolders (const QString &folder)=0
virtual bool | getFreeSpace (qint64 &bytesSize, qint64 &bytesAvail)=0
virtual void | getItemInfo (const QString &folder, const QString &itemName, CamItemInfo &info, bool useMetadata)=0
virtual bool | getItemsInfoList (const QString &folder, bool useMetadata, CamItemInfoList &infoList)=0
| If getImageDimensions is false, the camera shall set width and height to -1 if the values are not immediately available.
virtual bool | getMetadata (const QString &folder, const QString &itemName, DMetadata &meta)=0
virtual bool | getPreview (QImage &preview)=0
virtual bool | getThumbnail (const QString &folder, const QString &itemName, QImage &thumbnail)=0
QString | mimeType (const QString &fileext) const
bool | mkDirSupport () const
QString | model () const
QString | path () const
QString | port () const
void | printSupportedFeatures ()
virtual bool | setLockItem (const QString &folder, const QString &itemName, bool lock)=0
bool | thumbnailSupport () const
QString | title () const
virtual bool | uploadItem (const QString &folder, const QString &itemName, const QString &localFile, CamItemInfo &itemInfo)=0
bool | uploadSupport () const
QString | uuid () const

## Protected Member Functions
void | fillItemInfoFromMetadata (CamItemInfo &item, const DMetadata &meta) const

## Protected Attributes
QString | m_audioFilter
bool | m_captureImagePreviewSupport = false
bool | m_captureImageSupport = false
bool | m_delDirSupport = false
bool | m_deleteSupport = false
QString | m_imageFilter
bool | m_mkDirSupport = false
QString | m_model
QString | m_movieFilter
QString | m_path
QString | m_port
QString | m_rawFilter
bool | m_thumbnailSupport = false
QString | m_title
bool | m_uploadSupport = false
QString | m_uuid

## Member Function Documentation

## ◆ capture()

virtual bool Digikam::DKCamera::capture | ( | CamItemInfo & | itemInfo | ) |
| pure virtual

Implemented in Digikam::UMSCamera.

## ◆ getFreeSpace()

virtual bool Digikam::DKCamera::getFreeSpace | ( | qint64 & | bytesSize,
|  | qint64 & | bytesAvail
| ) |  |
| pure virtual

Implemented in Digikam::UMSCamera.

## ◆ getItemsInfoList()

virtual bool Digikam::DKCamera::getItemsInfoList | ( | const QString & | folder,
|  | bool | useMetadata,
|  | CamItemInfoList & | infoList
| ) |  |
| pure virtual

Implemented in Digikam::UMSCamera, and Digikam::GPCamera.

## ◆ getPreview()

virtual bool Digikam::DKCamera::getPreview | ( | QImage & | preview | ) |
| pure virtual

Implemented in Digikam::UMSCamera.